# Tweak
This mod causes Newt (the Shopkeeper) to drop an irradiant pearl on their first death,
and gives a 25% chance to drop a regular pearl on every subsequent death in the same run.

# Items
This mod also adds several optional items (enabled by default):

* Ceremonial Fireworks \(red\): Chance to spawn fireworks on enemy kill
* Purified Tonic \(red\): Chance to gain spinel tonic buff for a short duration on kill without gaining afflictions
* ShieldBow \(red\): Gain a shield and lifesteal when health drops low
* Prowler \(red\): On elite kill, crit next target and gain a chance to cleanse all debuffs

## Known bugs
* Even after getting a Prowler cleanse, bands will show on cooldown. It is purely visual and bands will still be ready to proc.
* Forgive Me Please does not trigger Ceremonial Fireworks

&nbsp;
Feel free to message me with bugs/feedback/complaints on the RoR2 modding discord (BoneCap)

# Changelog

#### 2.0.0
Complete mod rewrite under the hood. Should be functionally the same, but it is now easier to maintain and add to.
##### Balance Changes
* Chance to spawn regular pearl on shopkeeper kill after first kill: 25% -> 100%
* Ceremonial Fireworks: Chance to spawn fireworks on kill: 30% -> 50%, Fireworks spawned 8 (+4)
* PureTonic: Chance to get tonic buff: 20% -> 60% (+40%), Duration: 3s (+2s) -> 3s (+3s)
* ShieldBow: Lifesteal duration during lifeline: 5s (+2s) -> 5s (+5s)
* Prowler: Chance to cleanse debuffs on elite kill: 35% (+15%) -> 40% (+25%)

##### Bug Fixes
* Items and buffs no longer initialized when disabled via config
* Shieldbow now heals properly
* Prowler reworked to better utilize built in methods


#### 1.2.1
Updated to work temporarily with new itemdef api

#### 1.2.0
Survivors of the Void compatibility update

#### 1.1.0
Added Shopkeeper health scaling config

#### 1.0.6
More bugfixes

#### 1.0.5
Quick fix for overheal bug

#### 1.0.4
Changed ShieldBow so its lifesteal stacks with supermassive leech

#### 1.0.3
Added icons with a proper red outline to avoid confusion

#### 1.0.2
Fixed Forgive Me infinite casting - thanks to LuckE's for bringing this to my attention

#### 1.0.1
Added config to enable/disable items. All items enabled by default
Fixed the way items are initialized and cleaned up some other stuff

#### 1.0.0
 Release